%define pkgname	libgnomedb
%define api 4.0
%define name	%{pkgname}%{api}
%define	major	4
%define oname gnomedb
%define libname	%mklibname %{oname}%{api}_ %major 
%define libnamedev %mklibname -d %{oname}%{api}
%define gdaver 3.99.7
%define git 20090503

Summary:	GNOME DB
Name:		%name
Version: 	3.99.8
Release: 	%mkrel 7
License:	GPLv2+ and LGPLv2+
Group: 		Databases
URL:		http://www.gnome-db.org/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%git.tar.xz
Patch1:		libgnomedb-fix-str-fmt.patch
Patch2:		libgnomedb-remove-duplicated-header.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	%{_lib}gladeui1-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	libgda4.0-devel >= %gdaver
BuildRequires:	scrollkeeper
BuildRequires:	gtk-doc
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gtksourceview1-devel
BuildRequires:	glade3-devel >= 3.1.5
BuildRequires:	libgoocanvas-devel >= 0.9
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  gnome-common
Obsoletes: 	%name < %version


%description
Gnome DB is a frontend to the GDA architecture, being developed as part
of the GNOME project. It adds, to the already powerful GDA architecture,
a nice GUI front end for users, as well as a whole set of software
components intended to be reused in other unrelated applications.

This package contains the core components of GNOME-DB.

%package -n %{libname}
Summary:	GNOME DB libraries
Group: 		System/Libraries
Requires: 	%name >= %version

%description -n %{libname}
Gnome DB is a frontend to the GDA architecture, being developed as part
of the GNOME project. It adds, to the already powerful GDA architecture,
a nice GUI front end for users, as well as a whole set of software
components intended to be reused in other unrelated applications.


%package -n %{libnamedev}
Summary:	GNOME DB Development
Group: 		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}
Requires(post):		scrollkeeper
Requires(postun):		scrollkeeper

%description -n %{libnamedev}
Gnome DB is a frontend to the GDA architecture, being developed as part
of the GNOME project. It adds, to the already powerful GDA architecture,
a nice GUI front end for users, as well as a whole set of software
components intended to be reused in other unrelated applications.

This package contains libraries, header files and tools to let
you develop GNOME-DB applications.


%prep
%setup -q -n %{pkgname}
%patch1 -p1 -b .str
%patch2 -p1
./autogen.sh

%build
%configure2_5x --disable-static --enable-gtk-doc=no
%make

%install
rm -rf $RPM_BUILD_ROOT


GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

desktop-file-install --vendor="" \
  --add-category="GNOME" \
  --add-category="GTK" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%{find_lang} %{pkgname}-%api --with-gnome

# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_libdir}/libglade/2.0/*.{la,a} \
       $RPM_BUILD_ROOT%{_libdir}/glade3/modules/*a \
       $RPM_BUILD_ROOT%{_libdir}/libgnomedb/plugins/*a \
       $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas libgnomedb-%{api}

%preun
%preun_uninstall_gconf_schemas libgnomedb-%{api}

%post -n %{libnamedev}
%update_scrollkeeper

%postun -n %{libnamedev}
%clean_scrollkeeper

							  
%files -f %{pkgname}-%api.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS
%_sysconfdir/gconf/schemas/libgnomedb-%{api}.schemas
%{_bindir}/*
%{_datadir}/pixmaps/*
%_libdir/glade3/modules/libgladegnomedb.so
%_datadir/glade3/
%dir %_datadir/gnome-db-%{api}/
%_datadir/gnome-db-%{api}/dtd
%_datadir/gnome-db-%{api}/*.xml
%_datadir/gnome-db-%{api}/*.glade
%_datadir/applications/database-properties-%{api}.desktop
%{_libdir}/libglade/2.0/*
%dir %{_libdir}/gnome-db-%{api}/
%{_libdir}/gnome-db-%{api}/plugins/

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/libgnomedb*-%{api}.so.%{major}*

%files -n %{libnamedev}
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*-C.omf
%_datadir/gnome-db-%{api}/demo


%changelog
* Fri Aug 22 2014 bb <bb> 3.98.8-7pclos2014
- rebuild
- disable static

* Thu Nov 07 2013 billybot <billybot> 3.98.8-6pclos2013
- rebuild for new pcre

* Fri Oct 21 2011 Texstar <texstar at gmail.com> 3.98.8-5pclos2011
- update for 64bit

* Sun Jan 30 2011 Texstar <texstar at gmail.com> 3.98.8-4pclos2011
- rebuild against updated glade 3
- add libgladeui1_-devel as build dep

* Thu Jan 21 2010 Texstar <texstar at gmail.com> 3.98.8-3pclos2010
- rebuild

* Wed Jan 05 2010 Texstar <texstar at gmail.com> 3.98.8-2pclos2010
- rebuild for graphviz

* Thu Dec 24 2009 Texstar <texstar at gmail.com> 3.99.8-1pclos2010
- rebuild

* Mon Nov 30 2009 pcserver <pcserver at hush.com> 3.99.8-0.1pclos2010
- gcc update
- needed for gnumeric
- import from mdv

